File: changelog

package info (click to toggle)
atkmm1.6 2.28.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 3,284 kB
  • sloc: xml: 5,642; sh: 4,197; perl: 236; cpp: 142; makefile: 88
file content (154 lines) | stat: -rw-r--r-- 4,785 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
atkmm1.6 (2.28.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 28 Dec 2018 09:26:09 -0500

atkmm1.6 (2.28.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * debian/copyright: Add pre-generated docs to Files-Excluded
  * Build-Depend on doxygen, graphviz & xsltproc to build docs
  * libatkmm-1.6-doc: Don't depend on lynx | www-browser
  * Bump Standads-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Nov 2018 22:01:40 -0500

atkmm1.6 (2.24.2-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Add Debian Accessibility Team to Uploaders
  * Bump debhelper compat to 11
  * Build with all hardening flags
  * Use dh_missing --fail-missing

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 20 Dec 2017 12:45:15 -0500

atkmm1.6 (2.24.2-2) unstable; urgency=medium

  * Convert from cdbs to dh.
  * Bump debhelper compat level to 10.
  * Don't compress doxygen tag files.
  * Drop libatkmm-1.6-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from libatkmm-1.6-dbg to new dbgsym packages by
    using dh_strip --dbgsym-migration.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 02:52:08 +0200

atkmm1.6 (2.24.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump libglibmm-2.4-dev to (>= 2.46.2) as per configure.ac.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 Dec 2015 22:02:02 +0100

atkmm1.6 (2.24.1-1) unstable; urgency=medium

  [ Simon McVittie ]
  * debian/copyright: add some missing copyright holders

  [ Michael Biebl ]
  * New upstream release.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Update Build-Depends as per configure.ac:
    - Bump libglibmm-2.4-dev to (>= 2.46.1)
    - Bump libatk1.0-dev to (>= 1.18)
    - Bump mm-common to (>= 0.9.8)
  * Bump Standards-Version to 3.9.6.
  * Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer and move
    Krzysztof Klimonda to Uploaders.
  * Bump SHVER to 2.24.0.

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Sep 2015 13:19:44 +0200

atkmm1.6 (2.22.7-3) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Bump Build-Depends on cdbs for multiarch support

  [ Jeremy Bicha ]
  * Use canonical Vcs-* fields

  [ Simon McVittie ]
  * Rename libatkmm-1.6-1 to libatkmm-1.6-1v5 for the libstdc++ transition.
    Based on a patch by Matthias Klose.

 -- Simon McVittie <smcv@debian.org>  Mon, 17 Aug 2015 22:52:45 +0100

atkmm1.6 (2.22.7-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf to fix FTBFS on ppc64el. Closes: #752899

 -- Andreas Barth <aba@ayous.org>  Thu, 28 Aug 2014 18:49:33 +0000

atkmm1.6 (2.22.7-2) unstable; urgency=low

  * Convert to multiarch.
  * Bump debhelper compatibility level to 9.
  * Add Build-Depends on autotools-dev to get updated config.{guess,sub}.

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Jun 2013 03:57:10 +0200

atkmm1.6 (2.22.7-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Update repository URL.

  [ Michael Biebl ]
  * New upstream release.
  * Bump minimum glibmm version to 2.36.0.
  * Drop DM-Upload-Allowed field, DM upload permissions are no longer handled
    this way.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Update debian/copyright according to the copyright-format 1.0 spec.

 -- Michael Biebl <biebl@debian.org>  Sat, 25 May 2013 01:43:59 +0200

atkmm1.6 (2.22.6-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Track .xz tarballs.
  * Stop installing libtool .la files.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 17 Nov 2011 02:28:10 +0100

atkmm1.6 (2.22.5-1) unstable; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release. (LP: #742068)
  * debian/control.in:
    - add mm-common (>= 0.9.3) build dependency.

  [ Deng Xiyue ]
  * Import changes from Ubuntu.
  * debian/watch:
    + Fix RegEx to work again.
    + Track *.tar.bz2 instead of *.tar.gz
  * debian/libatkmm-1.6-dev.install:
    + Include usr/lib/*.la
  * debian/rules:
    + Add clean-la.mk to strip out *.la dependencies.

 -- Deng Xiyue <manphiz-guest@users.alioth.debian.org>  Sun, 17 Apr 2011 14:59:04 +0800

atkmm1.6 (2.22.2-1) experimental; urgency=low

  * New upstream release.

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Mon, 24 Jan 2011 02:45:18 +0100

atkmm1.6 (2.22.1-1) experimental; urgency=low

  * Initial Release. (Closes: 604123)

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 02 Nov 2010 20:35:53 +0100